#include <SPI.h> 
#include "nRF24L01.h"
#include "RF24.h"

RF24 radio(9, 10);
//RF24 radio(9,53);
byte address[][6] = {"1Node", "2Node", "3Node", "4Node", "5Node", "6Node"}; //  

int VRx;
int VRy;

void setup() {
  Serial.begin(9600);
  pinMode(A2, INPUT);
  radio.begin();
  radio.setAutoAck(1);
  radio.setRetries(0, 15); 
  radio.enableAckPayload(); 
  radio.setPayloadSize(32); 

  radio.openWritingPipe(address[0]); 
  radio.setChannel(0x60);
  
  radio.setPALevel (RF24_PA_MAX); 
  radio.setDataRate (RF24_1MBPS);

  radio.powerUp();
  radio.stopListening();
}

void loop() {
  VRx=analogRead(A2);
  VRy=analogRead(A1);
  Serial.print("Sent x: "); Serial.println(VRx);
  radio.write(&VRx, sizeof(VRx));
  Serial.print("Sent y: "); Serial.println(VRy);
  radio.write(&VRy, sizeof(VRy));
  delay(100);
}